## debian-policy 4.5.0.3

=== debian/changelog ===
debian-policy (4.5.0.3) unstable; urgency=medium

  * Add a sample grep command for finding copyright notices in upstream
    source code to an existing footnote in section 2.3.
  * 3.2.1: tweak wording to avoid suggesting that Policy forbids using
    Debian revisions for packages using a native source package format
    (Closes: #953629).
    Thank you to Ian Jackson for the suggestion.
  * Switch back dh_linktree -> dh_sphinxdoc now that #658238 has been
    resolved (Closes: #968664)
    - Update substvars usage
    - Drop linktree config
    - Drop ${misc:Depends} -> ${linktree:Recommends} hack from d/rules.
      We now just have ${sphinxdoc:Depends} in the Recommends: field.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 19 Aug 2020 11:24:51 -0700

debian-policy (4.5.0.2) unstable; urgency=medium

  * Rebuild against newer libjs-sphinxdoc (Closes: #959005).
    Thanks Gabriele Stilli for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 28 Apr 2020 14:20:18 -0700
