=== debian/changelog ===
debian-policy (4.5.1.0) unstable; urgency=medium

  * Policy: Relax requirements on copying copyright notices into d/copyright
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Scott Kitterman <debian@kitterman.com>
    Seconded: Joerg Jaspert <joerg@debian.org>
    Closes: #955005
  * Policy: Forbid vendor-specific series files
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Graham Inggs <ginggs@debian.org>
    Closes: #959909
  * Policy: Clarification about colons in version numbers
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #971023
  * Replace `/usr/share/package/copyright` -> `/usr/share/PACKAGE/copyright`.
    Thanks to Guillem Jover for the suggestion.
  * Fix manpage section in reference to systemd.unit(5) (Closes: #973491).
    Thanks to Martin Schwarz for the report.
  * Makefile: Always use UTC date (Closes: #974911).
    Thanks to Vagrant Cascadian for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 16 Nov 2020 17:05:43 -0700
