=== debian/changelog ===
debian-policy (4.6.0.1) unstable; urgency=medium

  * Fix header of upgrading checklist entry for last release (Closes: #992414).
    Thanks to Scott Talbert and Drew Parsons for reporting the problem.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Aug 2021 13:21:50 -0700

debian-policy (4.6.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Allow manpages to be included in the dependencies of packages
    Wording: Helmut Grohne <helmut@subdivi.de>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Christoph Berg <myon@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #983657
  * Policy: Support for subpaths in Vcs-Git
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Closes: #932696
  * 4.4: Fix changelog format: needs an extra space before sign-off
    (Closes: #976301).
    Thanks to Anatoli Babenia for reporting the problem.
  * autopkgtest: Update variable name ADTTMP->AUTOPKGTEST_TMP (Closes: #989581).
    Thanks to Fabrice Bauzac-Stehly for reporting the problem.

  [ Russ Allbery ]
  * Policy: Add new encouraged keyword, make keywords consistent
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #944920
  * Clarify that no package may install files in /usr/lib64.  The previous
    wording implied this restriction only applied to 64-bit packages.
  * Reserve the /etc/rcn.d directories for the init-system-helpers package
    rather than the sysvinit package, reflecting a change already made in
    the archive.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 17 Aug 2021 20:06:42 -0700
