=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  texlive-xetex,
  xindy,
  xsltproc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
