## debian-policy 4.6.1.1

=== debian/changelog ===
debian-policy (4.6.1.1) unstable; urgency=medium

  * d/control: Add Homepage field (Closes: #1012879).
    Thanks to Benjamin Drung for the suggestion.
  * Upgrading checklist for 4.5.1: apply wording change from 07f1b39
    (Closes: #1017095).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 13 Aug 2022 17:13:34 -0700

debian-policy (4.6.1.0) unstable; urgency=medium

  * Policy: Allow non-64-bit packages to install to /usr/lib64
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #992601
  * Policy: Define 'upstream' & document several version conventions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #542288, #850729
  * virtual-package-names-list: Add {default,}dbus-system-bus (Closes: #998063).
    Thanks to Simon McVittie for the patch.
  * Update 9.7.2 and 9.7.3 for package split of bin:mime-support into
    bin:media-types and bin:mailcap (Closes: #1008480).
    Thanks to Charles Plessy for the patch.

  * Fix several problems with footnote regarding the autobuilders and
    build dependency alternatives (Closes: #999826).
    Thanks to Johannes Schauer Marin Rodrigues for the report and patch.
  * Use syntax highlighting for some source code blocks (Closes: #999566).
    Thanks to Stéphane Blondon for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 May 2022 11:02:59 -0700
