=== debian/control ===
--- 
+++ 
@@ -23,9 +23,10 @@
  texlive-xetex,
  xindy,
  xsltproc,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
+Homepage: https://www.debian.org/doc/devel-manuals#policy
 
 Package: debian-policy
 Architecture: all
