=== debian/changelog ===
debian-policy (4.6.2.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Update alternatives system priorities for window managers
    Wording: Ansgar <ansgar@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #975631
  * Policy: Clarify udeb-only source packages are out of scope
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #992136

  [ Russ Allbery ]
  * Policy: Add new-version argument to several maintainer script calls
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #823256
  * Policy: Essential packages must work only if previously configured
    Wording: Helmut Grohne <helmut@subdivi.de>
    Seconded: Santiago Vila <sanvila@unex.es>
    Seconded: Guillem Jover <guillem@hadrons.org>
    Closes: #1020267
  * Prefer "portion" to "stanza" when describing parts of the Vcs-Git
    header to avoid confusion with blocks of fields in deb822.  Thanks to
    Charles Plessy for pointing out the inconsistency.

  [ Guillem Jover ]
  * Terminology fixes.  (Closes: #1020248)
    - Refer to blocks of fields in deb822 files as stanzas, not
      paragraphs.  This aligns terminology with dpkg and reduces confusion
      with text paragraphs found in, for example, the Description field.
  * Policy: Replace references to PGP with OpenPGP.  (Closes: #1020243)
  * Whitespace and quoting fixes.  (Closes: #1020238)
    - Remove trailing whitespace and convert tabs to spaces in all files.
    - Avoid use of unbalanced single quotes.
  * copyright-format: Formatting improvements.  (Closes: #1020241)
    - Put Source after Format in examples.
    - Reformat GPL examples to be more compact.
    - Use URLs rather than postal addresses in GPL examples.
    - Move the comment about where the GPL can be found on Debian systems
      to a separate Comment block in examples, rather than including it in
      the License text.
    - Apply wrap-and-sort -ast formatting to Files fields in the examples.

  [ Daniel Shahaf ]
  * Add an English description of the format of bug closers in the
    changelog file, alongside the Perl-compatible regular expression.
    (Closes: #953911)

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Dec 2022 19:41:44 -0700
