## debian-policy 4.7.0.0

=== Makefile ===
--- 
+++ 
@@ -299,4 +299,4 @@
 .DELETE_ON_ERROR:
 
 # No default suffixes work here, don't waste time on them.
-.SUFFIXES: 
+.SUFFIXES:
