=== debian/changelog ===
debian-policy (4.7.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Prefer native overriding mechanisms to diversions & alternatives
    Wording: Luca Boccassi <bluca@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1035733
  * Policy: Improve alternative build dependency discussion
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Wouter Verhelst <wouter@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #968226
  * Policy: No network access for required targets for contrib & non-free
    Wording: Aurelien Jarno <aurel32@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Tobias Frost <tobi@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1068192

  [ Russ Allbery ]
  * Policy: Add mention of the new non-free-firmware archive area
    Wording: Gunnar Wolf <gwolf@gwolf.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #1029211
  * Policy: Source packages in main may build binary packages in contrib
    Wording: Simon McVittie <smcv@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #994008
  * Policy: Allow hard links in source packages
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Helmut Grohne <helmut@subdivi.de>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #970234
  * Policy: Binary and Description fields may be absent in .changes
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #963524
  * Policy: systemd units are required to start and stop system services
    Wording: Luca Boccassi <bluca@debian.org>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Luca Boccassi <bluca@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Closes: #1039102

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 07 Apr 2024 13:08:55 +0800

debian-policy (4.6.2.1) unstable; urgency=medium

  [ Guillem Jover ]
  * Standardize terminology with dpkg.  (Closes: #1020248)
    - Use 'stanza' for each section of a multi-section control file, such as
      the source package template control file (debian/control).
    - Use standardized naming for binary package control files, source
      package control files (.dsc), source package template control files
      (debian/control), and upload changes control files (.changes).
    - Refer to members of the control member of the .deb archive as
      'package metadata'.
  * Update Installed-Size algorithm used by dpkg (Closes: #793499).

  [ Stéphane Blondon ]
  * New Debian-specific Sphinx style (Closes: #915583).

  [ Max-Julian Pogner ]
  * Fix missing quotes in dpkg-divert examples. (Closes: #1031403)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 24 Feb 2024 20:39:43 +0800
