=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
  libxml2-utils,
  links | elinks,
  python3-sphinx,
+ python3-sphinx-rtd-theme,
  sphinx-common (>= 1.6.5),
  sphinx-intl,
  texinfo,
  texlive-xetex,
  xindy,
  xsltproc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy
