## debian-policy 4.7.0.1

=== debian/changelog ===
debian-policy (4.7.0.1) unstable; urgency=medium

  * Fix typo in 9.3.1.
    Thanks to Paul Gevers for the report.
  * Fix markup problem in 3.9 (Closes: #1074040).
    Thanks to Ke Zhang for the report & patch.
  * Update specification of the default value for Rules-Requires-Root.
    See #1057238.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 25 Aug 2024 17:41:50 +0800
