## debian-policy 4.7.0.2

=== Makefile ===
--- 
+++ 
@@ -35,8 +35,8 @@
 infodir     = $(datarootdir)/info
 
 # Installation programs to use.
-INSTALL = install -p -o root -g root -m 644
-MKDIR   = install -d -o root -g root -m 755
+INSTALL = install -p -m 644
+MKDIR   = install -d -m 755
 
 # Files included by debconf_specification.xml.
 DEBCONF_INCLUDES := debconf/commands.xml debconf/priorities.xml	\
