=== debian/changelog ===
debian-policy (4.7.0.2) unstable; urgency=medium

  * Support building without (fake)root (Closes: #1087626).
    Thanks to Niels Thykier for the patch.
  * Add debian/debian-policy-*/ to .gitignore.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 03 Jan 2025 16:48:08 +0000
