=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  texlive-xetex,
  xindy,
  xsltproc,
+Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
