## debian-policy 4.7.1.1

=== debian/changelog ===
debian-policy (4.7.1.1) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 22 Feb 2025 12:39:04 +0800

debian-policy (4.7.1.0) unstable; urgency=medium

  [ Fei Ding & Ke Zhang ]
  * New Simplified Chinese translation.

  [ Sean Whitton ]
  * Install new translation in new binary package.
  * Merge two duplicate sets of .po files, locales/ & policy/locale/.
  * Policy: Clarify filename conflicts for programs
    Wording: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Helmut Grohne <helmut@subdivi.de>
    Seconded: Jochen Sprickerhof <jspricke@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1075856
  * 5.6.31: Update default value of Rules-Requires-Root (Closes: #1091913).
    Thanks to Niels Thykier for the report.
  * Policy: Packages must/should not require man, info and locale files
    Wording: Josh Triplett <josh@joshtriplett.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Closes: #1089110
  * Policy: Packages must not install to /bin, /lib, /lib* or /sbin
    Wording: Helmut Grohne <helmut@subdivi.de>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Luca Boccassi <bluca@debian.org>
    Seconded: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Michael Biebl <biebl@debian.org>
    Seconded: Jochen Sprickerhof <jspricke@debian.org>
    Closes: #1074014
    - Rewrite Helmut's text to avoid mentioning the merged-/usr transition
      by name, and to avoid the transition-specific "aliased paths" jargon.
      My hope is that this will be better for future readers.
  * 10.1: Delete paragraph about compatibility symlinks /path -> /usr/path.
    This paragraph is effectively superseded by the preceding Policy change.
  * Fix formatting issue in 10.2 (Closes: #1094664).
    Thanks to Roberto C. Sanchez for the report.
  * Fix typo in 2.2.2 (Closes: #1098339).
    Thanks to Ahmed Siam for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 20 Feb 2025 17:44:53 +0800
