=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  xindy,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy
@@ -68,3 +68,19 @@
  This package contains translations into Japanese of some of the
  documents distributed in the debian-policy package.  Currently only
  the HTML output format is available.
+
+Package: debian-policy-zh-cn
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+# this is in Recommends: so that the package is installable on stable; see #906139
+Recommends:
+ ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
+Suggests:
+ doc-base,
+Description: Debian Policy Manual and related documents (Simplified Chinese)
+ This package contains translations into Simplified Chinese of some of the
+ documents distributed in the debian-policy package.  Currently only
+ the HTML output format is available.
