## debian-policy 4.7.2.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 VERSION   := $(shell dpkg-parsechangelog -SVersion)
 
 # Translated languages
-LANGUAGES = ja
+LANGUAGES = ja zh_CN
 
 # Conversion programs to use.  Export these so that they're visible to
 # submakes.
@@ -112,7 +112,7 @@
 		  $(XML_SINGLE_FILES:=.txt)		\
 		  $(XML_SINGLE_FILES:=.validate)	\
 		  $(DIA_PNGS)				\
-		  policy/locale/*/LC_MESSAGES/*.mo	\
+		  locales/*/LC_MESSAGES/*.mo		\
 		  policy/conf.py			\
 		  policy/definition.txt			\
 		  version.md version.xml
