=== debian/changelog ===
debian-policy (4.7.2.0) unstable; urgency=medium

  * Policy: Relax 10.1 slightly for /usr/games
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Jochen Sprickerhof <jspricke@debian.org>
    Closes: #1098948

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 27 Feb 2025 14:35:02 +0800
