=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  xindy,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy
