=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,10 @@
 	set -ex; for langdir in debian/tmp/usr/share/doc/debian-policy/*/policy.html; do	\
 		lang=$${langdir%%/policy.html};							\
 		lang=$${lang##*/};								\
-		mkdir -p debian/debian-policy-$$lang/usr/share/doc/debian-policy;		\
+		pkg_lang=$$(echo $$lang | tr '[:upper:]_' '[:lower:]-');			\
+		mkdir -p debian/debian-policy-$$pkg_lang/usr/share/doc/debian-policy;		\
 		mv debian/tmp/usr/share/doc/debian-policy/$$lang				\
-			debian/debian-policy-$$lang/usr/share/doc/debian-policy;		\
+			debian/debian-policy-$$pkg_lang/usr/share/doc/debian-policy;		\
 	done
 	mv debian/tmp/* debian/debian-policy/
 #	this file is not referenced by any HTML pages and we have no
