## debian-policy 4.7.3.0

=== debian/changelog ===
debian-policy (4.7.3.0) unstable; urgency=medium

  * Policy: Document range of subordinate user IDs
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1100632
  * Policy: Git-Tag-Tagger & Git-Tag-Info fields
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Stuart Prescott <stuart@debian.org>
    Closes: #1091868
  * Policy: Remove MSDOS-Filename field
    Wording: Guillem Jover <guillem@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Chris Hofstaedtler <zeha@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #1114994
  * Policy: Priority field no longer recommended
    Wording: Nilesh Patra <nilesh@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #1110017
  * Fix missing word in 10.1 & upgrading checklist.
  * Rewrite "date"->"day-of-month" in Policy 3.2.1 (Closes: #1100455).
    Thanks to Ahmed Siam for reporting the issue.
  * d/control: Drop Priority & Rules-Requires-Root fields.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 23 Dec 2025 13:19:12 +0000
