=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Russ Allbery <rra@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,
 Section: doc
-Priority: optional
 Build-Depends:
  dblatex,
  debhelper (>= 10),
@@ -24,8 +23,7 @@
  texlive-xetex,
  xindy,
  xsltproc,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 Homepage: https://www.debian.org/doc/devel-manuals#policy
